
/**
* Together with summary.php, provides a microsummary of the latest
* forum post. See <http://wiki.mozilla.org/Microsummaries> for details.
*
* Add this code to your forum's functions.inc file. Make sure that the
* closing ?> tag is still the last thing in your functions.inc afterwards!
*
*/
function plugin_templatesetvars_forum ($templatename, $template)
{
    global $_CONF, $_TABLES;

    if ($templatename == 'header') {
        $ms = '';

        $forum = -1;
        if (substr ($_SERVER['PHP_SELF'], -strlen ('/forum/index.php'))
                == '/forum/index.php') {
            if (!$CONF_FORUM['registration_required'] || (isset ($_USER['uid']) && ($_USER['uid'] > 1))) {
                if (!isset ($_REQUEST['op']) && !isset ($_REQUEST['showtopic'])) {
                    $forum = 0;
                    if (isset ($_REQUEST['forum'])) {
                        $forum = COM_applyFilter ($_REQUEST['forum'], true);
                        if ($forum == 0) {
                            $forum = -1;
                        }
                    }
                }
            }
        }

        if ($forum >= 0) {
            $forumname = '';
            if ($forum > 0) {
                $groups = array ();
                $usergroups = SEC_getUserGroups();
                foreach ($usergroups as $group) {
                    $groups[] = $group;
                }
                $groupAccessList = implode(',',$groups);

                $where = "(forum_id = $forum) AND (is_hidden = 0) AND (no_newposts = 0) AND (grp_id IN ($groupAccessList))";
                $forumname = DB_getItem ($_TABLES['gf_forums'], $where);
            }

            $url = $_CONF['site_url'] . '/forum/summary.php';
            if ($forum > 0) {
                $url .= '?forum=' . $forum;
            }
            if (empty ($forumname)) {
                $title = 'Forum microsummary';
            } else {
                 $title = "Microsummary for forum &quot;'
                        . $forumname . '&quot;";
            }
            $ms = '<link rel="microsummary" href="' . $url . '" title="'
                . $title . '">';
        }

        $template->set_var ('forum_microsummary', $ms);
    }

}

